<?php
//about theme info
add_action( 'admin_menu', 'chalak_driving_school_gettingstarted' );
function chalak_driving_school_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'chalak-driving-school'), esc_html__('About Theme', 'chalak-driving-school'), 'edit_theme_options', 'chalak_driving_school_guide', 'chalak_driving_school_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function chalak_driving_school_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'chalak_driving_school_admin_theme_style');

//guidline for about theme
function chalak_driving_school_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'chalak-driving-school' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Chalak Driving School WordPress Theme', 'chalak-driving-school' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'chalak-driving-school' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'chalak-driving-school' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'chalak-driving-school' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'chalak-driving-school' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'chalak-driving-school' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'chalak-driving-school' ); ?> <a href="<?php echo esc_url( CHALAK_DRIVING_SCHOOL_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'chalak-driving-school' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'Chalak Driving School is a flexible, intuitive, sophisticated and smart WordPress theme for driving schools, driving instructors, car training institutes, vehicle license agency, online driving courses and lessons, traffic rules teaching schools and any teaching or learning website for schools, colleges, online courses and similar types. This multipurpose theme is designed to service diverse websites with smooth navigation and parallax scrolling enhancing the website using experience. It is responsive to its deepest core to give a stunning look on different devices and screens. This theme is cross- browser compatible, multilingual, SEO friendly and supports RTL writing. It has a lot of exclusive features and functions to make your site perform the best in all aspects of this business. It can be customized to its full potential through theme customizer which makes tweaking a childs play with all the options of customization provided at your fingertips.The theme is amazingly fast and coded from scratch to comply with the WordPress standards.', 'chalak-driving-school')?></p>
			<hr>			
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free Chalak Driving School Theme', 'chalak-driving-school' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'chalak-driving-school'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( CHALAK_DRIVING_SCHOOL_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'chalak-driving-school'); ?></a>
			<a href="<?php echo esc_url( CHALAK_DRIVING_SCHOOL_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'chalak-driving-school'); ?></a>
			<a href="<?php echo esc_url( CHALAK_DRIVING_SCHOOL_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'chalak-driving-school'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/chalak-driving-school.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'chalak-driving-school'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'chalak-driving-school'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'chalak-driving-school'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>